<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Home</title>
    </head>
    <body>

        <h3>Index page</h3>

        <p>Hi, <span th:text="${username}"></span>!</p>

        <span th:if="${isLoggedIn}">
            <p>LOGGED IN</p>
            <form th:action="@{/loginInfo}" method="GET"><input type="submit" value="Get login info"/></form>
            <br>
            <form th:action="@{/logout}" method="POST"><input type="submit" value="Logout"/></form>
        </span>

        <span th:unless="${isLoggedIn}">
            <p>NOT LOGGED IN</p>
            <form th:action="@{/login}" method="POST"><input type="submit" value="Login"/></form>
        </span>

    </body>
</html>